Package com.salesforce.datacloud.jdbc.core.accessor

## Class QueryJDBCAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

All Implemented Interfaces:
  `org.apache.calcite.avatica.util.Cursor.Accessor`

Direct Known Subclasses:
  `BaseIntVectorAccessor`, `BaseListVectorAccessor`, `BinaryVectorAccessor`, `BooleanVectorAccessor`, `DateVectorAccessor`, `DecimalVectorAccessor`, `DoubleVectorAccessor`, `TimeStampVectorAccessor`, `TimeVectorAccessor`, `VarCharVectorAccessor`

    public abstract class QueryJDBCAccessor
    extends Object
    implements org.apache.calcite.avatica.util.Cursor.Accessor

### Field Summary

Fields
`protected boolean` `wasNull`
`protected QueryJDBCAccessorFactory.WasNullConsumer` `wasNullConsumer`

### Constructor Summary

Constructors
`protected` `QueryJDBCAccessor​(IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`Array` `getArray()`
`InputStream` `getAsciiStream()`
`BigDecimal` `getBigDecimal()`
`BigDecimal` `getBigDecimal​(int i)`
`InputStream` `getBinaryStream()`
`Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`Reader` `getCharacterStream()`
`Clob` `getClob()`
`protected int` `getCurrentRow()`
`Date` `getDate​(Calendar calendar)`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`long` `getLong()`
`Reader` `getNCharacterStream()`
`NClob` `getNClob()`
`String` `getNString()`
`Object` `getObject()`
`<T> T` `getObject​(Class<T> aClass)`
`Object` `getObject​(Map<String,​Class<?>> map)`
`abstract Class<?>` `getObjectClass()`
`Ref` `getRef()`
`short` `getShort()`
`SQLXML` `getSQLXML()`
`String` `getString()`
`Struct` `getStruct()`
`Time` `getTime​(Calendar calendar)`
`Timestamp` `getTimestamp​(Calendar calendar)`
`InputStream` `getUnicodeStream()`
`URL` `getURL()`
`boolean` `wasNull()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### wasNull

    protected boolean wasNull

#### wasNullConsumer

    protected QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer

### Constructor Detail

#### QueryJDBCAccessor

    protected QueryJDBCAccessor​(IntSupplier currentRowSupplier,
                                QueryJDBCAccessorFactory.WasNullConsumer wasNullConsumer)

### Method Detail

#### getCurrentRow

    protected int getCurrentRow()

#### getObjectClass

    public abstract Class<?> getObjectClass()

#### wasNull

    public boolean wasNull()

Specified by:
  `wasNull` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`

#### getString

    public String getString()
                     throws SQLException

Specified by:
  `getString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean()
                       throws SQLException

Specified by:
  `getBoolean` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getByte

    public byte getByte()
                 throws SQLException

Specified by:
  `getByte` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getShort

    public short getShort()
                   throws SQLException

Specified by:
  `getShort` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getInt

    public int getInt()
               throws SQLException

Specified by:
  `getInt` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getLong

    public long getLong()
                 throws SQLException

Specified by:
  `getLong` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getFloat

    public float getFloat()
                   throws SQLException

Specified by:
  `getFloat` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getDouble

    public double getDouble()
                     throws SQLException

Specified by:
  `getDouble` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal()
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(int i)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes()
                    throws SQLException

Specified by:
  `getBytes` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream()
                               throws SQLException

Specified by:
  `getAsciiStream` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream()
                                 throws SQLException

Specified by:
  `getUnicodeStream` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream()
                                throws SQLException

Specified by:
  `getBinaryStream` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getObject

    public Object getObject()
                     throws SQLException

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream()
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getObject

    public Object getObject​(Map<String,​Class<?>> map)
                     throws SQLException

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getRef

    public Ref getRef()
               throws SQLException

Specified by:
  `getRef` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob()
                 throws SQLException

Specified by:
  `getBlob` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getClob

    public Clob getClob()
                 throws SQLException

Specified by:
  `getClob` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getArray

    public Array getArray()
                   throws SQLException

Specified by:
  `getArray` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getStruct

    public Struct getStruct()
                     throws SQLException

Specified by:
  `getStruct` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getDate

    public Date getDate​(Calendar calendar)
                 throws SQLException

Specified by:
  `getDate` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getTime

    public Time getTime​(Calendar calendar)
                 throws SQLException

Specified by:
  `getTime` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(Calendar calendar)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getURL

    public URL getURL()
               throws SQLException

Specified by:
  `getURL` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getNClob

    public NClob getNClob()
                   throws SQLException

Specified by:
  `getNClob` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML()
                     throws SQLException

Specified by:
  `getSQLXML` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getNString

    public String getNString()
                      throws SQLException

Specified by:
  `getNString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream()
                               throws SQLException

Specified by:
  `getNCharacterStream` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(Class<T> aClass)

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`